Index: Support/bin/run_xcode_target.rb
===================================================================
--- Support/bin/run_xcode_target.rb	(revision 3499)
+++ Support/bin/run_xcode_target.rb	(working copy)
@@ -43,7 +43,11 @@
 if Xcode.supports_configurations? then
   userFile      = $project_dir + "/#{ENV['USER']}.pbxuser"
   user          = PropertyList::load(File.new(userFile)) if File.exists?(userFile)
+  userBuild     = user && user[proj['rootObject']]['userBuildSettings']
   activeConfig  = user && user[proj['rootObject']]['activeBuildConfigurationName']
+  if userBuild['SYMROOT']
+    dir = userBuild['SYMROOT']
+  end
   dir += "/#{activeConfig || "Development"}"
 end
 
